%global pypi_name nginx
%global commitId c284cdb57e297318937e1259053cfbcb470ea1d7

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.5.7
Release:        1%{?dist}
Summary:        Create and modify nginx serverblock configs in Python

License:        GPLv3+
URL:            https://github.com/peakwinter/python-nginx
Source0:        python-nginx-c284cdb57e297318937e1259053cfbcb470ea1d7.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
A module for easily creating and modifying nginx serverblock configurations
in Python.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Create and modify nginx serverblock configs in Python

%description -n python%{python3_pkgversion}-%{pypi_name}
A module for easily creating and modifying nginx serverblock configurations
in Python.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG README.md
%license LICENSE
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}*.pyc
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/python_nginx-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 20 2022 Dimitri Savineau <dsavinea@redhat.com> 1.5.7-1
- Initial release
